package com.yutou.jianr_mg.Tools;

import java.io.PrintWriter;
import java.io.StringWriter;

/**
 * Created by 58381 on 2018/1/20.
 */

public class Log {
   private static final boolean LOG=true;
    /**
     * 错误输出
     * @param str 正文
     */
    public static void e(String str) {
        if(LOG)
        System.err.println(str);
    }
    /**
     * 普通输出
     * @param str 正文
     */
    public static void i(String str) {
        if(LOG)
        System.out.println(str);
    }
    /**
     * 错误输出带标题
     * @param title 标题
     * @param str 正文
     */
    public static void e(String title,String str) {
        if(LOG)
        System.err.println("["+title+"]"+str);
    }
    /**
     * 普通输出带标题
     * @param title 标题
     * @param str 正文
     */
    public static void i(String title,String str) {
        if(LOG)
        System.out.println("["+title+"]"+str);

    }
    /**
     * 异常输出
     * @param e 异常
     * @param object 异常所在的类
     * @return
     */
    public static String e(Exception e,Object object) {
        StringWriter writer=new StringWriter();
        PrintWriter printWriter=new PrintWriter(writer);
        e.printStackTrace(printWriter);
        if(LOG)
        System.err.println("["+object.getClass().getName()+"]"+writer.toString());
        return "["+object.getClass().getName()+"]"+writer.toString();
    }
}
